HierarchyEntityControllerRestoreUndoFrame Method

POST /HierarchyEntity/RestoreUndoFrame/{id} Restores the hierarchy to the given undo frame ID.

Namespace:  Dundas.BI.WebApi.Controllers
Assembly:  Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (10.0.0.1002)
Syntax
[HttpPostAttribute]
[ActionNameAttribute("RestoreUndoFrame")]
public IActionResult RestoreUndoFrame(
	Guid id,
	[FromBodyAttribute] long frameId,
	Guid? sessionId = null
)

Parameters

id
Type: SystemGuid
The ID of the hierarchy to restore the undo frame to.
frameId
Type: SystemInt64
The ID of the undo frame to restore to.
sessionId (Optional)
Type: SystemNullableGuid
The current session ID.

Return Value

Type: IActionResult
A HierarchyEntityData or RaggedHierarchyEntityData object containing the updated hierarchy data, or a status code indicating the problem.
See Also